Index: u-boot/rtc/mk48t59.c
===================================================================
RCS file: /cvsroot/u-boot/u-boot/rtc/mk48t59.c,v
retrieving revision 1.2
diff -p -u -r1.2 mk48t59.c
--- u-boot/rtc/mk48t59.c	19 Nov 2002 11:04:22 -0000	1.2
+++ u-boot/rtc/mk48t59.c	14 Feb 2004 10:47:13 -0000
@@ -83,6 +83,18 @@ static void rtc_write (short reg, uchar 
     out_byte(CMOS_DATA, (uint8)val);
 }
 
+#elif defined(CONFIG_EVAL5200)
+
+static uchar rtc_read (short reg)
+{
+	return in8(RTC(reg));
+}
+
+static void rtc_write (short reg, uchar val)
+{
+	out8(RTC(reg),val);
+}
+
 #else
 # error Board specific rtc access functions should be supplied
 #endif
